/*
 * Memory.h
 *
 * Copyright 2001, 2002 by Anthony Howe.  All rights reserved.
 *
 * A generic memory manager that can be used to allocate memory
 * from larger memory blocks allocated from the heap or shared
 * memory. This is a fairly simple technique and is patterned
 * after K&R2 page 185.
 */

#ifndef __com_snert_lib_util_Memory_h__
#define __com_snert_lib_util_Memory_h__		1

extern int MemoryInit(void *block, unsigned long size);
extern void *MemoryAllocate(void *block, unsigned long size);
extern void *MemoryReallocate(void *block, void *chunk, unsigned long size);
extern void *MemoryResize(void *block, void *chunk, unsigned long size);
extern void MemoryFree(void *block, void *chunk);
extern unsigned long MemorySizeOf(void *chunk);
extern void MemorySet(void *chunk, int value);
extern unsigned long MemoryAvailable(void *block);


#endif /* __com_snert_lib_util_Memory_h__ */